//package src;

public class Attribute {

    public static final String TYPE_STABLE = "STABLE";
    public static final String TYPE_FLEXIBLE = "FLEXIBLE";
    public static final String TYPE_DECISION = "DECISION";

    private String name;
    private String value;
    private String type;

    public Attribute(String name, String value, String type) {
        this.name = name;
        this.value = value;
        this.type = type;
    }

    public String getName() {
        return this.name;
    }
    public String getValue() {
        return this.value;
    }
    public String getType() {
        return this.type;
    }
    
    public static void test() {
        Attribute attribute;
        attribute = new Attribute("", "", "");
        assert(attribute.getName() == "");
        assert(attribute.getValue() == "");
        assert(attribute.getType() == "");


        attribute = new Attribute("a", "a1", Attribute.TYPE_STABLE);
        assert(attribute.getName() == "a");
        assert(attribute.getValue() == "a1");
        assert(attribute.getType() == Attribute.TYPE_STABLE);

        System.out.println("The Attributes test cases passed");
    }
}