//package src;

import javax.swing.*;
import java.awt.*;
import java.io.*;

public class SecondFrame extends JFrame{

    private JPanel panel;
    private JTextArea label;
    private JScrollBar scrollBar;

    public SecondFrame() throws Exception {
        setLayout(new BorderLayout());
        // Call backend
        this.label = new JTextArea(1, 1);
        this.label.setLineWrap(true);
        this.label.setWrapStyleWord(true);
        // this.label.setPreferredSize(new Dimension(300, 480));
        JScrollPane pane = new JScrollPane(label);
        pane.setPreferredSize(new Dimension(750, 500));
        pane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);

        this.scrollBar = pane.getVerticalScrollBar();
        add(BorderLayout.CENTER, pane);
        setSize(750, 500);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLocationRelativeTo(null);
        setVisible(true);
    }

    public void addOutput(String output) {
        System.out.println(output);
        this.label.setText(label.getText() + "\n" + output);
        this.scrollBar.setValue( scrollBar.getMaximum() );
        this.label.setCaretPosition(this.label.getDocument().getLength());
        validate();
        repaint();
    }

    public String getOutput() {
        return label.getText();
    }

}